﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="Tickets_327691_Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <div>
        <telerik:RadGrid ID="RadGridJobs" runat="server" AutoGenerateColumns="False" AllowPaging="True"
            PageSize="25" AllowSorting="false" GridLines="None" Width="885px" Skin="Office2007"
            OnNeedDataSource="RadGridJobs_NeedDataSource"
            OnItemCreated="RadGridJobs_ItemCreated">
            <MasterTableView ClientDataKeyNames="OID" DataKeyNames="OID" CommandItemDisplay="Top">
                <Columns>
                    <telerik:GridBoundColumn DataField="PharmacyName" HeaderText="Pharmacy" ReadOnly="True"
                        SortExpression="PharmacyName" UniqueName="columnPharmacy" />
                    <telerik:GridBoundColumn DataField="CoordinatorName" HeaderText="Coordinator" ReadOnly="true"
                        SortExpression="CoordinatorName" UniqueName="columnCoordinator" />
                    <telerik:GridBoundColumn DataField="JobDate" HeaderText="Date" ReadOnly="true" SortExpression="JobDate"
                        UniqueName="columnDate" DataType="System.DateTime" DataFormatString="{0:dd-MMM-yyyy}" />
                    <telerik:GridBoundColumn DataField="StartTime" HeaderText="Start" UniqueName="columnStart"
                        DataType="System.DateTime" DataFormatString="{0:hh:mm tt}" />
                    <telerik:GridBoundColumn DataField="EndTime" HeaderText="End" UniqueName="columnEnd"
                        DataType="System.DateTime" DataFormatString="{0:hh:mm tt}" />
                    <telerik:GridBoundColumn DataField="Rate" HeaderText="Rate" UniqueName="columnRate"
                        DataType="System.Decimal" DataFormatString="{0:c}" />
                    <telerik:GridBoundColumn DataField="RatePlus" HeaderText="Rate +" UniqueName="columnRatePlus"
                        DataType="System.Decimal" DataFormatString="{0:c}" />
                    <telerik:GridEditCommandColumn ButtonType="ImageButton" />
                    <telerik:GridButtonColumn ConfirmText="Delete this Job?" ConfirmDialogType="RadWindow"
                        ConfirmTitle="Delete" ButtonType="ImageButton" CommandName="Delete" />
                    <telerik:GridTemplateColumn HeaderText="" UniqueName="NoteColumn" HeaderStyle-Width="10px"
                        ItemStyle-Width="10px">
                        <ItemTemplate>
                            <a href="../Notes/NotesManager.aspx?RecordID=<%# Eval("OID") %>&NoteTypeID=3">
                                <asp:Image ID="ImageEditNote" runat="server" ImageUrl="~/Images/notes-icon.gif" AlternateText="Add notes"
                                    Width="15px" ToolTip="Add notes" />
                            </a>
                        </ItemTemplate>
                        <HeaderStyle Width="10px"></HeaderStyle>
                        <ItemStyle Width="10px"></ItemStyle>
                    </telerik:GridTemplateColumn>
                </Columns>
                <EditFormSettings>
                    <EditColumn ButtonType="ImageButton" />
                </EditFormSettings>
                <CommandItemSettings ShowRefreshButton="true" ShowAddNewRecordButton="false" ShowExportToWordButton="false"
                    ShowExportToExcelButton="true" ShowExportToPdfButton="true" ShowExportToCsvButton="true" />
                <PagerStyle AlwaysVisible="true" Mode="NextPrevAndNumeric" Position="TopAndBottom" />
            </MasterTableView>
            <ExportSettings HideStructureColumns="false" />
            <ClientSettings>
                <Selecting AllowRowSelect="True" />
                <Scrolling UseStaticHeaders="True" />
            </ClientSettings>
        </telerik:RadGrid>
        <telerik:RadInputManager runat="server" ID="RadInputManagerJobs" Enabled="true">
            <telerik:DateInputSetting BehaviorID="DateInputSettingStartEnd" DateFormat="hh:mm:ss tt"
                DisplayDateFormat="hh:mm tt" EmptyMessage="Cannot be empty" ErrorMessage="Enter valid time" />
            <telerik:NumericTextBoxSetting BehaviorID="NumericTextBoxSettingRate" Type="Currency"
                AllowRounding="true" DecimalDigits="2" MinValue="0" EmptyMessage="Cannot be empty"
                ErrorMessage="Enter valid currency" />
        </telerik:RadInputManager>
    </div>
    </form>
</body>
</html>
